summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-06 11:23:44 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-06 11:23:44 +0200
commit6a6028c4f213fdd8de0cbfe0290c22fb5828c450 (patch)
treea9b0f16ff50f450cececd527be9b5dbfe646e6b1 /bin
parent5bb4e7a4c09052c153da40ed20506f2ef5f2a2f5 (diff)
downloadjenkins.debian.net-6a6028c4f213fdd8de0cbfe0290c22fb5828c450.tar.xz
reproducible: fix timeout command syntax
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 63b2ff74..7881cc6a 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -174,7 +174,7 @@ for SRCPACKAGE in ${PACKAGES} ; do
LOGFILE=$(ls ${SRCPACKAGE}_${EVERSION}.dsc)
LOGFILE=$(echo ${LOGFILE%.dsc}.debbindiff.html)
BUILDINFO=${SRCPACKAGE}_${EVERSION}_amd64.buildinfo
- timeout -k 15m /var/lib/jenkins/debbindiff.git/debbindiff.py --html ./${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes 2>&1 > ${RBUILDLOG} || echo "debbindiff.py exited with error!" >> ./${LOGFILE}
+ timeout 15m /var/lib/jenkins/debbindiff.git/debbindiff.py --html ./${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes 2>&1 > ${RBUILDLOG} || echo "debbindiff.py was auto killed..." >> ./${LOGFILE}
if [ ! -f ./${LOGFILE} ] && [ -f b1/${BUILDINFO} ] ; then
cleanup_userContent
cp b1/${BUILDINFO} /var/lib/jenkins/userContent/buildinfo/